#include "Alarm.h"
#include <QDebug>
Alarm::Alarm() {
    //AlarmClient* tdclient = new AlarmClient();
    //tdclient->start();
}
Alarm::~Alarm(){
    qDebug() << __FILE__ << __FUNCTION__<< __LINE__;
}
void Alarm::Run(const ConsumerInfo& ci)
{
    //start();
}

void Alarm::OnData(const QString& user, const QString& key, const QVariant& val)
{
    qDebug() << __FILE__ << __FUNCTION__<< __LINE__ << user << key << val;
}

void Alarm::setLoader(QLibrary *)
{

}

void Alarm::run()
{
    /*while(!isInterruptionRequested()){
        qDebug() << __FILE__ << __FUNCTION__;
        QThread::msleep(1000);
    }*/
}
Client* instance()
{
    return new Alarm();
}

void destroy(Client* pInstance)
{
    if( pInstance )
    {
        delete pInstance;
    }
}
